function [obj1,tol] = fit_ssvkernel(y,points)


% Fit KDE with adaptive bandwith
if nargin ==2
a=std(y);
x_max = max(y);
x_min = min(y);
x = linspace(x_min-a,x_max+a,points);
[fx,x,~] = ssvkernel(y,x);
else
a=std(y);
x_max = max(y);
x_min = min(y);
x = linspace(x_min-a,x_max+a,500);
[fx,x,~] = ssvkernel(y,x);
end
Fx=zeros(size(fx)); %compute CDF
Fx(1)=0;
for i=2:length(fx);
    Fx(i)=trapz(x(1:i),fx(1:i));
end;
tol=1-Fx(end); %check that this is <0.0001!
Fx(Fx>1) = 1;  % Values greater than one not allowed
Fx(end) = 1;
[Fxx,ia,~] = unique(Fx); % all cdf values must be unique
xx = x(ia);
[xxx,ia,~] = unique(xx); % all support values must be unique
Fxx = Fxx(ia);
if any(diff(Fxx)<0)  % Fxx must be monotonically increasing, its annoying but sometimes it is not.
    Fxxnew = [];
    xxxnew = [];
    Fxxnew(1) = Fxx(1);
    xxxnew(1) = xxx(1);
    s = 1;
  for i = 2:length(Fxx)
      if Fxx(i)>Fxxnew(s)
        s = s+1;
        Fxxnew(s) = Fxx(i);
        xxxnew(s) = xxx(i);
      end
  end
  Fxx = Fxxnew;
  xxx = xxxnew;
end
obj1=makedist('PiecewiseLinear','x',xxx,'Fx',Fxx);
 