function hval= h_bb7(u1,u2,psi1,psi2)
% computes the h function for a BB7 pair-copula
% argument decs

ub1=1-u1;
ub2=1-u2;
w=(1-ub1.^psi1).^(-psi2) + (1-ub2.^psi1).^(-psi2)-1; 
c1=((1./psi1)-1).*log(1-w.^(-1./psi2));
c2=(1+1./psi2).*log(w) + (psi2+1).*log(1-ub2.^psi1);
c3=(psi1-1).*log(ub2);
lnh=c1-c2+c3;
if(lnh<500)
    hval=exp(lnh);
else
    hval=exp(500);
end

end
