function h = h_func(u1,u2,family,param,arg)
if nargin == 4
    arg = 1;
end
u1 = U_transf(u1(:));
u2 = U_transf(u2(:));
if strcmp(family,'t_mix') || strcmp(family,'sjc_mix') || strcmp(family,'gumbel_mix')  || strcmp(family,'skewt_mix')
    h = h_mix_cop(u1,u2,family,param,arg);
elseif strcmp(family,'Gen_gumbel')
    h = h_gen_gumbel(u1,u2,param(1),param(2));
elseif strcmp(family,'Gen_galambos')
    h = h_gen_galambos(u1,u2,param(1),param(2));
elseif strcmp(family,'Clayton')
    h = max((u2.^(-param(1)-1)).*(u1.^(-param(1))+u2.^(-param(1))-1).^(-1-(1/param(1))),0); %u1/u2
elseif strcmp(family,'Gaussian')
    if param(1) ==0
        h = u1;
    elseif param(1)~=0
        norminvu1 = norminv(u1,0,1);
        norminvu2 = norminv(u2,0,1);
        constant = ((1-param(1)^2)^(-1/2));
        h = normcdf((norminvu1-param(1)*norminvu2)*constant);
    end
elseif strcmp(family,'t')
    h = h_tcop(u1,u2,param(1),param(2));
elseif  strcmp(family,'Gumbel')
    h = h_gumbel(u1,u2,param(1));
elseif   strcmp(family,'Galambos')
    h = h_galambos(u1,u2,param(1));
end


    
    