function [ hval ] = h_tcop_mix(u1,ulag,rho1,nu1,rho2,nu2,w1)
%computes h(u1|ulag) from the mixture of rotated t-copula
    nnu1=nu1+1;
    tinv1 = tinv(ulag,nu1);
    tinv2 = tinv(ulag,nu2);
    xx=sqrt(nnu1./(nu1+(tinv1.^2))).*(tinv(u1,nu1)-rho1.*tinv1)./sqrt(1-(rho1^2));
    h1=tcdf(xx,nnu1);
    nnu2=nu2+1;
    xx=sqrt(nnu2./(nu2+(tinv2.^2))).*(tinv(1-u1,nu2)-rho2.*tinv2)./sqrt(1-(rho2^2));
    h2=1-tcdf(xx,nnu2);
    hval=(w1.*h1)+((1-w1).*h2);
end

