function [Gamma_Prop,R] = q_gamma(Gamma,step_length,a,b,Index)
% Drawing proposed Gamma
Gamma_Prop = Gamma;
R =0;
for i = 1:numel(Index)  % How many parameters of the copula will be drawn
    Gamma_Prop(Index(i)) = Truncatednormrnd(1,1,Gamma(Index(i)),step_length(Index(i)),a(Index(i)),b(Index(i)));
    % Estimating correction ratio
    F_a_new = normcdf(a(Index(i)),Gamma_Prop(Index(i)),step_length(Index(i)));
    F_b_new = normcdf(b(Index(i)),Gamma_Prop(Index(i)),step_length(Index(i)));
    F_a_old = normcdf(a(Index(i)),Gamma(Index(i)),step_length(Index(i)));
    F_b_old = normcdf(b(Index(i)),Gamma(Index(i)),step_length(Index(i)));
    R = R+min(300,log(F_b_old-F_a_old)) -min(300,log(F_b_new-F_a_new));   % Correction term for the first DVine copula parameter
end
