function [AC,S,u,dist,Gamma,step,lpost,G,numpar] = set_initial_states(y,B,J,family,log_gam_prior,p)
%%% First stage of copula model estimation
dist = fit_ssvkernel(y,1000);                                              % Fitting adaptive kernel density             
u = cdf(dist,y);                                                           % Computing copula data
%%% Settin initial parameter values for second stage
AC = 0;                                                                    % Initial accepted draws count
S = [B J];                      
switch family                                                              % Setting initial parameter values according to copula family
    case 't_mix'
        Gamma = [0 20 0 20 0.5];
        step = [0.01 0.2 0.01 0.2 0.01];
    case 'gumbel_mix'
        Gamma = [0 0.5 0 0.5 0];
        step = [0.01 0.01 0.01 0.01 0.01];
    case 't'
        Gamma = [0 20];
        step = [0.01 0.2];
end
numpar = length(Gamma);                                                    % Number of pair-copula parameters
G = zeros(J,numpar);
if nargin == 6                                                             % D-Vine initial parameter values for p>1
    Gamma = repmat(Gamma,1,p);
    step = repmat(step,1,p);
    AC = ones(1,p)*AC;
    G = zeros(J,numpar*p);
end
lpost = lnc_DVine(Gamma,u,family,numpar)+log_gam_prior(Gamma);    % Log posterior distribution at initial values
