%----- Prior on copula parameters
%-- lambda:    The expectation of the exponential distribution used as a prior for nu.
%-- family:    Copula family used for the components of c_mix.
function log_gam_prior = set_priors(lambda,family)
%- Prior on nu for t copulas
nu_prior = makedist('Exponential',lambda);
%- Priors on gamma. This priors are tuned so that the implied prior on the Kendall's tau is uniform.
if strcmp(family,'Gen_gumbel') || strcmp(family,'gumbel_mix')
    log_gam_prior = @(gamma) 0;
else
    switch family
        case 't_mix'
            log_gam_prior = @(gamma) sum(log(pdf(nu_prior,gamma([2,4]))*(1/(cdf(nu_prior,40)-cdf(nu_prior,0.03)))))+sum(log(2/pi)-0.5*log(1-gamma([1,3]).^2));    % truncated exponential prior
        case 't'
            log_gam_prior = @(gamma) sum(log(pdf(nu_prior,gamma(2))*(1/(cdf(nu_prior,40)-cdf(nu_prior,0.03)))))+sum(log(1/pi)-0.5*log(1-gamma(1).^2));            % truncated exponential prior
    end
end